using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using Clio.Utilities;
using Clio.XmlEngine;
using ff14bot.Behavior;
using ff14bot.Helpers;
using ff14bot.Managers;
using ff14bot.Navigation;
using ff14bot.Settings;
using TreeSharp;
using Action = TreeSharp.Action;

using System.Threading;
using System.Runtime.InteropServices;

namespace ff14bot
{
    public static class CraftingConditionalParser {
        public static bool AnyEquipmentConditionLessThan(float Threshhold) {
            foreach (var i in InventoryManager.EquippedItems) {
                if (i.IsFilled) {
                    if (i.Condition < Threshhold)
                        return true;
                }
            }

            return false;
        }
    }
}